# cTradeNotes Class Reference

Inheritance diagram for cTradeNotes:

List of all members.

## Public Member Functions

| cTradeNotes (DWORD dwGUID, cLocation &Loc, DWORD dwModel, float flScale, BOOL fSolid, WORD wIcon, std::string strName, std::string strDescription, DWORD dwValue, WORD wWeight)
| cTradeNotes (DWORD dwGUID, DWORD dwContainer, DWORD dwModel, float flScale, BOOL fSolid, DWORD dwIcon, std::string strName, std::string strDescription, DWORD dwValue, WORD wWeight)
cMessage | CreatePacket ()
cMessage | CreatePacketContainer (DWORD Container, DWORD ItemModelID)
void | Assess (cClient *pcAssesser)
void | Action (cClient *who)
DWORD | GetItemModelID ()
DWORD | GetContainerID ()

## Public Attributes

DWORD | m_dwItemModelID

## Protected Attributes

WORD | m_wWeight
DWORD | m_dwValue
BOOL | m_fIsStackable
BOOL | m_fEquippable
BOOL | m_fIsSolid
std::string | m_strDescription

## Constructor & Destructor Documentation

cTradeNotes::cTradeNotes | ( | DWORD | dwGUID,
|  | cLocation & | Loc,
|  | DWORD | dwModel,
|  | float | flScale,
|  | BOOL | fSolid,
|  | WORD | wIcon,
|  | std::string | strName,
|  | std::string | strDescription,
|  | DWORD | dwValue,
|  | WORD | wWeight |
| ) |  |  | `[inline]`

A constructor.

Called whenever a trade note object is initialized in the world.

cTradeNotes::cTradeNotes | ( | DWORD | dwGUID,
|  | DWORD | dwContainer,
|  | DWORD | dwModel,
|  | float | flScale,
|  | BOOL | fSolid,
|  | DWORD | dwIcon,
|  | std::string | strName,
|  | std::string | strDescription,
|  | DWORD | dwValue,
|  | WORD | wWeight |
| ) |  |  | `[inline]`

A constructor.

Called whenever a trade note object is initialized in a container.

## Member Function Documentation

void cTradeNotes::Action | ( | cClient * | who | ) | `[virtual]`

Handles the actions of trade note objects.

This function is called whenever a trade note is used or should perform an action.

Implements cObject.

void cTradeNotes::Assess | ( | cClient * | pcAssesser | ) | `[virtual]`

Handles the assessment of trade note objects.

This function is called whenever a trade note is assessed by a client.

Returns a Game Event (0x0000F7B0) server message of type Identify Object (0x000000C9).

Reimplemented from cObject.

cMessage cTradeNotes::CreatePacket | ( |  | ) | `[virtual]`

Handles the message sent for the creation of trade notes in the world.

This function is called whenever a trade note should be created in the world for a client.

Returns:
  cMessage - Returns a Create Object (0x0000F745) server message.

Implements cObject.

cMessage cTradeNotes::CreatePacketContainer | ( | DWORD | Container,
|  | DWORD | ItemModelID |
| ) |  |  |

Handles the message sent for the creation of trade notes in a container.

This function is called whenever trade note should be created in the inventory of another object.

Returns:
  cMessage - Returns a Create Object (0x0000F745) server message.

The documentation for this class was generated from the following files:

- E:/uas2/Server/Object.h
- E:/uas2/Server/cTradeNotes.cpp